function pur=Purity(labels,clusters)
% computes purity of a clustering by comparng it to known labels
% expects exactly 2 clusters
% Input: 
% labels = a vector containing values 1 or 2 denoting known class labels
% (size(num_points,1))
% points = a vector containing values 1 or 2 denoting cluster-membership
% (computed by a clustering algorithm) - (size(num_points,2))

if size(labels,1)~=size(clusters,1)
  warning('Warning: labels and clusters must be of the same length.')
end

correct=max(sum(labels==clusters),sum(labels~=clusters));
pur=correct/size(labels,1);